Update a role

Updates a custom role. Requires Role Manager and role:write or usermanagement.write. Default Makaira.* roles cannot be updated (updated is false and role is null).

Request

PUT /role/{roleId}

Path Parameters

ParameterTypeRequiredDescription
roleIdstringYesAuth0 role ID.

Headers

HeaderValue
AuthorizationBearer <token> (or HMAC headers, see Authentication)
Content-Typeapplication/json

Request Body

FieldTypeRequiredDescription
namestringNo{customer}.{Name} with the same naming rules as create.
descriptionstringNoDescription.
permissionsarrayNoReplacement list of feature permissions.

Example Request

{
  "name": "stage.SeniorEditor",
  "permissions": ["pageeditor.read", "pageeditor.write", "banner.read"]
}

Response

{
  "role": {
    "id": "rol_abc123",
    "name": "stage.SeniorEditor",
    "description": "Can edit pages",
    "permissions": ["pageeditor.read", "pageeditor.write", "banner.read"]
  },
  "updated": true
}
Path Params
string
required
Response
200

Successful response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!